Subject: [nfsv4] client behavior when given too-long component name

From: Mike Kupfer <[email-masked]>
Date: Tue, 07 Jan 2014 15:26:06 -0800

We've recently run into a situation where an NFS server is returning a
component name that is longer than the Solaris client can handle.  What
do other clients do in this situation?

I've thought of a few possibilities, but I don't like any of them.

1. truncate the name to fit (might duplicate another name, and the
  server won't recognize the truncated name)
2. treat it like an XDR decode error (potentially makes the entire
  directory inaccessible)
3. ignore the object (potential user confusion)

I suppose 3 is the least bad, but I'm hoping someone has a better
idea...?

thanks,
mike